Applies a solarizing effect to the image

- « Gmagick::shearimage

- Gmagick::spreadimage »

- PHP Manual
- Gmagick
- Applies a solarizing effect to the image

# Gmagick::solarizeimage

(PECL gmagick >= Unknown)

Gmagick::solarizeimage — Applies a solarizing effect to the image

### Description

public Gmagick::solarizeimage(int `$threshold`): Gmagick

Applies a special effect to the image, similar to the effect achieved in a photo darkroom by selectively exposing areas of photo sensitive paper to light. Threshold ranges from 0 to QuantumRange and is a measure of the extent of the solarization.

### Parameters

`threshold`

  Define the extent of the solarization.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.